#921 reopened defect

"root" as field doesn't work with the cpu_by_user plugin

Reported by: snide Owned by: nobody
Priority: normal Milestone: Munin 2.0.0
Component: master Version: 2.0-beta4
Severity: normal Keywords:
Cc: holger

Description

Changing the id to {{id}} fixed the pb.

Looking in the log files I'm seeing

2010/05/03 19:20:13 [RRD ERROR] Unable to graph
/data/apache/default/htdocs/munin/planet-ian.com/alpha2.planet-ian.com/cpu_by_user-month.png
: : opening '/data/munin/--g.rrd': No such file or directory

For reference :

munin-run cpu_by_user

www_data.value 1.1
mythtv.value 7.2
xmail.value 0
id.value 391
root.value 2.4
others.value 0.3

munin-run cpu_by_user config

graph_args --base 1000 -r --lower-limit 0
graph_title CPU usage, by user
graph_category system
graph_info This graph shows CPU usage, for monitored users.
graph_vlabel %
graph_scale no
graph_period second
graph_order root xmail munin mythtv www_data id others
root.label root
root.info CPU used by user root
root.type GAUGE
root.draw AREA
xmail.label xmail
xmail.info CPU used by user xmail
xmail.type GAUGE
xmail.draw STACK
munin.label munin
munin.info CPU used by user munin
munin.type GAUGE
munin.draw STACK
mythtv.label mythtv
mythtv.info CPU used by user mythtv
mythtv.type GAUGE
mythtv.draw STACK
www_data.label www-data
www_data.info CPU used by user www-data
www_data.type GAUGE
www_data.draw STACK
id.label id
id.info CPU used by user id
id.type GAUGE
id.draw STACK
others.label others
others.info CPU used by user others
others.type GAUGE
others.draw STACK

Change History (5)

comment:1 Changed at 2011-01-20T16:57:31+01:00 by jo

  • Component changed from plugins to master
  • Resolution set to fixed
  • Status changed from new to closed

This has got to be one of the silliest bugs I've seen so far. Fixed in the 1.4 branch (r4130) and trunk (r4131).

I'm so looking forward to the rework of the html and graph engines, so we can start using a proper object hierarchy.

comment:3 Changed at 2011-12-11T11:57:55+01:00 by holger

  • Milestone changed from Munin 1.4.6 to Munin 2.0
  • Resolution fixed deleted
  • Status changed from closed to reopened
  • Version changed from 1.4.3 to 2.0-beta4

see debian bug 601124

this fix was reverted in trunk but not in the 1.4-stable branch?!

comment:4 Changed at 2011-12-11T12:24:01+01:00 by holger

  • Cc holger added

comment:5 Changed at 2012-01-31T14:43:19+01:00 by snide

  • Summary changed from "id" as field doesn't work with the cpu_by_user plugin to "root" as field doesn't work with the cpu_by_user plugin

Actually it is not "id" that is forbidden, but "root" as field name, changing the title

comment:6 Changed at 2012-01-31T15:28:29+01:00 by snide

#882 has some complementary info

Note: See TracTickets for help on using tickets.